package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("sys_page_info")
public class SysPageInfoEnt implements Serializable {

    @XText("主键")
    @TableField
    private String id;

    @XText("页面id")
    @TableField
    private String pageId;

    @XText("名称")
    @TableField
    private String pageName;

    @XText("描述")
    @TableField
    private String pageRemark;

    @XText("内容")
    @TableField
    private String pageContext;

    @XText("发布状态1、已发布0、未发布")
    @TableField
    private Integer releaseState;

    @XText("发布版本")
    @TableField
    private Integer releaseVersion;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("发布时间")
    @TableField
    private Date releaseTime;

    @XText("是否历史1、是0、否")
    @TableField
    private Integer isHistory;

    public Integer getIsHistory() {
        return isHistory;
    }

    public void setIsHistory(Integer isHistory) {
        this.isHistory = isHistory;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public void setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getPageId() {
        return this.pageId;
    }

    public void setPageId(String value) {
        this.pageId = value;
    }

    public String getPageName() {
        return this.pageName;
    }

    public void setPageName(String value) {
        this.pageName = value;
    }

    public String getPageRemark() {
        return this.pageRemark;
    }

    public void setPageRemark(String value) {
        this.pageRemark = value;
    }

    public String getPageContext() {
        return pageContext;
    }

    public void setPageContext(String pageContext) {
        this.pageContext = pageContext;
    }

    public Integer getReleaseState() {
        return this.releaseState;
    }

    public void setReleaseState(Integer value) {
        this.releaseState = value;
    }

    public Integer getReleaseVersion() {
        return this.releaseVersion;
    }

    public void setReleaseVersion(Integer value) {
        this.releaseVersion = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
