package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class PlantPowerDataView implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @XText("电站id")
    @TableField
    private String plantId;

    @XText("日期")
    @TableField
    private Date dataDate;

    @XText("温度")
    @TableField
    private BigDecimal temperature;

    @XText("湿度")
    @TableField
    private BigDecimal humidity;

    @XText("风速")
    @TableField
    private BigDecimal windSpeed;

    @XText("风向")
    @TableField
    private BigDecimal windDirection;

    @XText("压强")
    @TableField
    private BigDecimal pressure;

    @XText("组件平面辐照度")
    @TableField
    private BigDecimal planeIrradiance;

    @XText("全水平辐照度")
    @TableField
    private BigDecimal horizontalIrradiance;

    @XText("实际功率")
    @TableField
    private BigDecimal power;

}
